Subject: Re: [PATCH v2 1/2] add-patch: introduce 'p' in interactive-patch

From: Rubén Justo <[email-masked]>
Date: Tue, 26 Mar 2024 19:40:40 +0100

On Tue, Mar 26, 2024 at 02:38:02PM +0000, Phillip Wood wrote:

> > Let's introduce a new option to allow the user to explicitly request
> > the printing.
> 
> I wonder if we want to hide this option unless we've skipped rendering the
> hunk in the same way that we hide other options that are not relevant to the
> hunk being displayed.

You've got me scratching my head.  Do you see any cases where we
shouldn't offer the new option?

> I also wonder if 'r' for "re-display" would better
> convey the intent of this keybinding.

I'm more inclined towards the 'p' because the verb is 'print'.  Does
this reasoning make sense to you?

> 
> > diff --git a/add-patch.c b/add-patch.c
> > index 68f525b35c..444fd75b2a 100644
> > --- a/add-patch.c
> > +++ b/add-patch.c
> > @@ -1388,6 +1388,7 @@ N_("j - leave this hunk undecided, see next undecided hunk\n"
> >      "/ - search for a hunk matching the given regex\n"
> >      "s - split the current hunk into smaller hunks\n"
> >      "e - manually edit the current hunk\n"
> > +   "p - print again the current hunk\n"
> 
> I think "print the hunk again" is clearer

The word 'current' is in my proposal because IMHO it adds value making
explicit what we're offering.  Maybe "print the current hunk again"?
What do you think?